org.apache.catalina.startup

## Class DigesterFactory

- java.lang.Object
- - org.apache.catalina.startup.DigesterFactory

Deprecated.
Use `DigesterFactory`

    @Deprecated
    public class DigesterFactory
    extends Object

Wrapper class around the Digester that hide Digester's initialization details

Author:
  Jean-Francois Arcand

### Constructor Summary

Constructors
Constructor and Description
`DigesterFactory()` Deprecated.

### Method Summary

Methods
`static Digester` `newDigester()` Deprecated. Unused - will be removed in 8.0.x
`static Digester` `newDigester(boolean xmlValidation, boolean xmlNamespaceAware, RuleSet rule)` Deprecated. Create a `Digester` parser.
`static Digester` `newDigester(RuleSet rule)` Deprecated. Unused - will be removed in 8.0.x
`protected static void` `register(String resourceURL, String resourcePublicId, SchemaResolver schemaResolver)` Deprecated. Load the resource and add it to the resolver.
`protected static void` `registerLocalSchema(SchemaResolver schemaResolver)` Deprecated. Utilities used to force the parser to use local schema, when available, instead of the `schemaLocation` XML element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DigesterFactory

    public DigesterFactory()

Deprecated.

### Method Detail

#### newDigester

    @Deprecated
    public static Digester newDigester()

Deprecated. Unused - will be removed in 8.0.x
Create a `Digester` parser with no `Rule` associated and XML validation turned off.

#### newDigester

    @Deprecated
    public static Digester newDigester(RuleSet rule)

Deprecated. Unused - will be removed in 8.0.x
Create a `Digester` parser with XML validation turned off.

Parameters:
  `rule` - an instance of `RuleSet` used for parsing the xml.

#### newDigester

    public static Digester newDigester(boolean xmlValidation,
                       boolean xmlNamespaceAware,
                       RuleSet rule)

Deprecated.
Create a `Digester` parser.

Parameters:
  `xmlValidation` - turn on/off xml validation
  `xmlNamespaceAware` - turn on/off namespace validation
  `rule` - an instance of `RuleSet` used for parsing the xml.

#### registerLocalSchema

    protected static void registerLocalSchema(SchemaResolver schemaResolver)

Deprecated.
Utilities used to force the parser to use local schema, when available, instead of the `schemaLocation` XML element.

#### register

    protected static void register(String resourceURL,
                String resourcePublicId,
                SchemaResolver schemaResolver)

Deprecated.
Load the resource and add it to the resolver.